Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.log
Class NodeLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.graph.log.NodeLog

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ProcessStateLog

    public class NodeLog

extends ProcessLog

See Also:
  Serialized Form

Field Summary
`protected long` | `duration`
`protected java.util.Date` | `enter`
`protected java.util.Date` | `leave`
`protected Node` | `node`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`NodeLog()`
`NodeLog(Node node, java.util.Date enter, java.util.Date leave)`

Method Summary
`long` | `getDuration()`
`java.util.Date` | `getEnter()`
`java.util.Date` | `getLeave()`
`Node` | `getNode()`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected Node node

### enter

    protected java.util.Date enter

### leave

    protected java.util.Date leave

### duration

    protected long duration

Constructor Detail

### NodeLog

    public NodeLog()

### NodeLog

    public NodeLog(Node node,
                   java.util.Date enter,
                   java.util.Date leave)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Specified by:
    `toString` in class `ProcessLog`

### getDuration

    public long getDuration()

### getEnter

    public java.util.Date getEnter()

### getLeave

    public java.util.Date getLeave()

### getNode

    public Node getNode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD